package Msm::Admin::File;

use strict;

sub new{
	my $self=shift;
	my $admin=shift;
	my $hash={};
	bless $hash,$self;
	$hash->{Admin}=$admin;
	return $hash;
}

sub viewUser{
	my $self=shift;
	my $cgi=$self->{Admin}->getCGI();

	my $dir='./ini';
	my $val=undef;
	opendir DIR,$dir;
	while(my $entry=readdir DIR){
		if($entry =~ /^user\_([0-9]+)\.cgi/ && -f $dir.'/'.$entry){
			my $id=$1;
			my $file=$entry;
			$file=~s/\.cgi//;
			my $config=new Msm::Config($file,$self->{Admin}->getConfig,{});
			$val.='<tr><td>'.$id.'</td><td><a href="'.$self->{Admin}->getConfigData('','adminscript').'?t=admin/usereditinput&amp;mode=usereditinput&amp;userid='.$id.'&amp;authid='.$cgi->param('authid').'">'.$config->getConfigData('','nickname').'</a></td></tr>';
		}
	}
	closedir(DIR);
	$self->{Admin}->setData('viewUser','all',$val);

}

sub viewBlog{
	my $self=shift;
	my $cgi=$self->{Admin}->getCGI();

	my $dir='./ini';
	my $val=undef;
	opendir DIR,$dir;
	while(my $entry=readdir DIR){
		if($entry =~ /^blog\_([0-9])+\.cgi/ && -f $dir.'/'.$entry){
			my $id=$1;
			my $file=$entry;
			$file=~s/\.cgi//;
			my $config=new Msm::Config($file,$self->{Admin}->getConfig,{});
			$val.='<li><a href="'.$self->{Admin}->getConfigData('','adminscript').'?t=admin/blogsettinginput&amp;blogid='.$id.'&amp;mode=blogsettinginput&amp;authid='.$cgi->param('authid').'">'.$config->getConfigData('','staticindexurl').'</a></li>';
		}
	}
	closedir(DIR);
	$self->{Admin}->setData('viewBlog','all',$val);
}

sub setBlogs{
	my $self=shift;
	my $cgi=$self->{Admin}->getCGI();

	my $dir='./ini';
	my $val=undef;
	opendir DIR,$dir;
	while(my $entry=readdir DIR){
		if($entry =~ /^blog\_([0-9])+\.cgi/ && -f $dir.'/'.$entry){
			my $id=$1;
			my $file=$entry;
			$file=~s/\.cgi//;
			my $config=new Msm::Config($file,$self->{Admin}->getConfig,{});
			$val.='<li><a href="'.$self->{Admin}->getConfigData('','script').'?blogid='.$id.'">'.$config->getConfigData('','msname').'</a></li>';
		}
	}
	closedir(DIR);
	$self->{Admin}->setData('Blogs','all',$val);
}

sub getBlogsID{
	my $self=shift;
	my $dir='./ini';
	my @id=();
	opendir DIR,$dir;
	while(my $entry=readdir DIR){
		if($entry =~ /^blog\_([0-9])+\.cgi/ && -f $dir.'/'.$entry){
			my $id=$1;
			push @id,$id;
		}
	}
	closedir(DIR);
	return @id;
}

1;
