package Msm::Http;

use Socket;
use FileHandle;
use strict;

sub new{
	my $self=shift;
	my $hash={};
	$hash->{AL}=10;
	bless $hash,$self;
	return $hash;
}


sub setAlarm{
	my $self=shift;
	my $time=shift;
	$self->{AL}=$time;
}


sub getHttp{
	my ($self,$strURL,$ua,$req,$strSend)=@_;
	return $self->_getHttp($strURL,$ua,$req,$strSend,'application/x-www-form-urlencoded');
}

sub getHttp2{
	my ($self,$strURL,$ua,$req,$strSend,$ctype)=@_;
	return $self->_getHttp($strURL,$ua,$req,$strSend,$ctype);
}


sub _getHttp{
	my ($self,$strURL,$ua,$req,$strSend,$ctype)=@_;
	my ($port,$rtnHtml,$socket_add);
	my ($dmy1,$dmy2,$strHost,$strFile)=split(/\//,$strURL,4);

	$strFile='/'.$strFile;
	($strHost,$port)=split(/\:/,$strHost);
	if(!defined($port) || $port eq ''){$port=getservbyname('http','tcp');}

	eval{
		local $SIG{ALRM}=sub{die 'timeout'};
		eval{
			alarm($self->{AL});
		};
		$socket_add=pack_sockaddr_in($port,inet_aton($strHost));
		socket(SCK,PF_INET,SOCK_STREAM,0);
		connect(SCK,$socket_add);
		autoflush SCK (1);


		if($req eq 'POST'){
			print SCK "$req $strFile HTTP/1.1\r\n";
			print SCK "Host: $strHost\r\n";
			print SCK "Connection: close\r\n";
			print SCK "Content-Type: $ctype\r\n";
			my($lngSend)=length($strSend);
			print SCK "Content-Length: $lngSend\r\n";
			print SCK "\r\n";
			print SCK "$strSend\r\n";
			print SCK "\r\n";

			my $rlen=0;
			while(<SCK>){
				m/^(\r\n|\n)$/ && last;
			}
			while(<SCK>){
				$rtnHtml.=$_;
			}
		}else{
			print SCK "$req http://$strHost$strFile HTTP/1.1\r\n";
			print SCK "Host: $strHost\r\n";
			print SCK "Connection: close\r\n";
			print SCK "\r\n";
			while(<SCK>){
				$rtnHtml.=$_;
			}
		}

		close(SCK);
		eval{
			alarm(0);
		};
	};
	if($@){
		eval{
			close(SCK);
		};
		$rtnHtml=undef;
	}

	return $rtnHtml;
}

1;
